Summary:	Threaded poller for Cacti written in C
Name:		cacti-spine
Version:	0.8.7e
Release:	2.1
License:	GPL
Group:		Application/System
Source0:	cacti-spine-%{version}.tar.bz2
URL:		http://www.cacti.net/spine_info.php
BuildRoot:	%{_tmppath}/%{name}-root
Requires:	cacti, mysql, net-snmp, rrdtool
BuildRequires:	mysql-devel, net-snmp-devel, openssl, openssl-devel

%description
Spine is a supplemental poller for Cacti that makes use of pthreads to achieve
excellent performance.

%prep

%setup

%build
autoreconf -fi
chmod +x configure
%configure
%{__make} %{?_smp_mflags}

%install
rm -rf %{buildroot}
##%{__install} -D -m0644 spine.conf %{buildroot}%{_sysconfdir}/spine.conf

%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS
%doc LICENSE LICENSE.LGPL README README-WINDOWS
%config(noreplace) %{_sysconfdir}/spine.conf
%{_bindir}/*

%changelog
* Sun Sep 27 2009 Carsten Schoene <cs@linux-administrator.com> - 0.8.7e
- update to release 0.8.7e

* Tue Mar 28 2009 Carsten Schoene <cs@linux-administrator.com> - 0.8.7c
- update to release 0.8.7c

* Tue Mar 18 2008 Carsten Schoene <cs@linux-administrator.com> - 0.8.7a
- version bump to 0.8.7a (first spine build)

* Mon Feb 04 2008 Carsten Schoene <cs@linux-administrator.com> - 0.8.6k
- version bump to 0.8.6k

* Mon Dec 11 2006 Mauricio Teixeira <mteixeira@webset.net> - 0.8.6i
- upgrade from 0.8.6g to 0.8.6i

* Thu Oct 02 2006 Mauricio Teixeira <mteixeira@webset.net> - 0.8.6g
- Requires 'cacti'.

* Thu Aug 31 2006 Mauricio Teixeira <mteixeira@webset.net> - 0.8.6g
- Added openssl and openssl-devel to build requires
- Ported into Build Service
